%global _changelog_trimtime %(date +%s -d "1 year ago")

Name:           automoc
Version:        1.0
Release:        0.34
Summary:        Automatic moc for Qt 4
License:        BSD
URL:            http://www.kde.org
Source0:        https://download.kde.org/stable/automoc4/0.9.88/automoc4-0.9.88.tar.bz2

## upstream patches
Patch0001:      0001-fix-make-clean-it-s-SET_directory_properties-and-not.patch
Patch0002:      0002-automoc-did-not-understand-.mm-files-objc.patch
Patch0003:      0003-support-for-Objective-C-i.e.-mm-files-is-enough-to-i.patch
Patch0004:      0004-auto-detect-case-insensitive-filesystem-on-OSX.patch
Patch0005:      0005-add-a-ctest-config-file-see-http-my.cdash.org-index..patch
Patch0006:      0006-support-for-nightly-builds-at-http-my.cdash.org-inde.patch
Patch0007:      0007-rename-AutomocNightly.cmake-to-Automoc4Nightly-to-ma.patch
Patch0008:      0008-chaneg-nightly-time.patch
Patch0009:      0009-remove-the-warnings-again.patch
Patch0010:      0010-add-some-comments.patch
Patch0011:      0011-adapt-this-to-the-new-enhanced-KDECTestNightly.cmake.patch
Patch0012:      0012-support-installing-in-the-nightly-build.patch
Patch0013:      0013-add-documentation.patch
Patch0014:      0014-first-attempt-at-cpack-ing-a-KDE-package-works-on-OS.patch
Patch0015:      0015-put-the-apple-specific-stuff-in-here.patch
Patch0016:      0016-move-the-cpack-bits-into-a-separate-cmake-file.patch
Patch0017:      0017-Compile-and-link-on-Mac.patch
Patch0018:      0018-Fix-framework-detection-on-Mac-where-Qt-is-installed.patch
Patch0019:      0019-kdesupport-automoc-krazy2-fixes.patch
Patch0020:      0020-Hack-the-hack.patch
Patch0021:      0021-fix-stupid-typo.patch
Patch0022:      0022-CMake-2.6.4-is-required-because-older-versions-don-t.patch
Patch0023:      0023-Reverting-r1140777-as-causing-some-nasty-cmake-funky.patch
Patch0024:      0024-add-cmake_policy-PUSH-POP-to-save-and-restore-the-or.patch
Patch0025:      0025-allow-duplicate-target-names-also-in-the-automoc-mac.patch
Patch0026:      0026-Fix-cmake_policy-call.patch
Patch0027:      0027-add-some-changes-to-build-automoc-statically.patch
Patch0028:      0028-AutoMoc-lazyInit-expects-the-app-to-get-6-parameter-.patch
Patch0029:      0029-Fix-missing-include-dirs-current-source-and-build-di.patch
Patch0030:      0030-Don-t-attempt-to-read-the-DEFINITIONS-property.patch
Patch0031:      0031-Don-t-attempt-to-add-dependencies-which-do-not-exist.patch
Patch0032:      0032-set-cmake_min_req-to-enable-newer-policies.patch
Patch0033:      0033-cmake-2.8.9-sets-CMP0003-to-NEW-clean-up.patch

BuildRequires:  cmake >= 2.8.9 gcc-c++ qt4-devel kde4-filesystem
Provides:       automoc4 = 0.9.88
Requires:       cmake >= 2.8.9

%description
This package contains the automoc4 binary which is used to run moc on the
right source files in a Qt 4 or KDE 4 application.
Moc is the meta object compiler which is a widely used tool with Qt and
creates standard C++ files to provide syntactic sugar of the signal/slots
mechanism.

%prep
%autosetup -n automoc4-0.9.88 -p1

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

%{make_build} -C %{_target_platform}

%install
%{make_install} -C %{_target_platform}

%files
%{_bindir}/automoc4
%{_kde4_libdir}/automoc4/

%changelog
* Tue Jan 09 2024 Ge Wang <wang__ge@126.com> - 1.0-0.34
- Replace buildrequire kde-filesystem with kde4-filesystem due to kde-filesytem updated to version 5-1

* Wed Mar 11 2020 lingsheng <lingsheng@huawei.com> - 1.0-0.33
- Package init
